\name{rs2}
\title{Fit a Two-factor Box-Tidwell Nonlinear Response Surface}
\usage{
rs2(y,x1,x2,power=c(1,1),weight=rep(1,length(y)),family=normal)
}
\arguments{
\item{y}{Response variable}
\item{x1}{First covariate}
\item{x2}{Second covariate}
\item{power}{Initial estimates of the two power transformations}
\item{weight}{Weight vector}
\item{family}{glm family}
}
\description{
\code{rs2} fits a two-covariate power-transformed response surface by
iterating the function, \code{\link{glm}}.}
\value{
A list of class, rs, is returned containing the model and the power
estimates.
}
\seealso{
\code{\link{lm}}, \code{\link{glm}}, \code{\link{gnlr}}, \code{\link{gnlr3}}, \code{\link{fmr}}, \code{\link{rs3}}.
}
\examples{
rs2(native,area,elevation,fam=poisson,weight=wt)
}
