\name{rs3}
\title{Fit a Two-factor Box-Tidwell Nonlinear Response Surface}
\usage{
rs3(y,x1,x2,x3power=c(1,1,1),weight=rep(1,length(y)),family=normal)
}
\arguments{
\item{y}{Response variable}
\item{x1}{First covariate}
\item{x2}{Second covariate}
\item{x3}{Third covariate}
\item{power}{Initial estimates of the three power transformations}
\item{weight}{Weight vector}
\item{family}{glm family}
}
\description{
\code{rs3} fits a three-covariate power-transformed response surface by
iterating the function, \code{\link{glm}}.}
\value{
A list of class, rs, is returned containing the model and the power
estimates.
}
\seealso{
\code{\link{lm}}, \code{\link{glm}}, \code{\link{gnlr}}, \code{\link{gnlr3}},
\code{\link{fmr}}, \code{\link{rs2}}.
}
\examples{
rs3(native,area,elevation,santacruz,p=c(-1,0.8,1),fam=poisson,weight=wt)
}
